@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: #ebf5fc;
}

.container-01 {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 50%;
  height: 100vh;
  padding: 40px 0;
  transition: 0.5s ease;
}
.container-01 h2 {
  position: relative;
  width: 50%;
  text-align: center;
  z-index: 11;
  color: #777;
  font-size: 25px;
  font-weight: 700;
  text-align: center;
  border-radius: 15px;
  padding: 5px 8px;
  margin: 20px 0;
  font-size: 25px;
  box-shadow: -6px -6px 20px rgba(255, 255, 255, 1),
    6px 6px 20px rgba(0, 0, 0, 0.1);
}
.container-01 .switch {
  position: relative;
  width: 120px;
  height: 60px;
  margin: 20px 0;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.5s ease;
  box-shadow: -5px -5px 5px rgba(255, 255, 255, 0.65),
    5px 5px 5px rgba(0, 0, 0, 0.12);
}
.container-01 .switch input[type="checkbox"] {
  position: absolute;
  left: 5px;
  -webkit-appearance: none;
  width: 80px;
  height: 34px;
  border-radius: 40px;
  margin-bottom: 2px;
  outline: none;
  cursor: pointer;
  border: 2px solid #ececec;
  transition: 0.5s ease;
  box-shadow: -5px -5px 5px rgba(255, 255, 255, 0.65),
    5px 5px 5px rgba(0, 0, 0, 0.12),
    inset -5px -5px 5px rgba(255, 255, 255, 0.65),
    inset 5px 5px 5px rgba(0, 0, 0, 0.12);
}
.container-01 .switch input[type="checkbox"]:before,
.container-01 .switch input[type="checkbox"]:after {
  content: "";
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  transition: 0.5s ease;
}
.container-01 .switch input[type="checkbox"]:before {
  width: 24px;
  height: 24px;
  background-color: #ececec;
  box-shadow: -5px -5px 5px rgba(255, 255, 255, 0.65),
    5px 5px 5px rgba(0, 0, 0, 0.12);
  border-radius: 50%;
  left: 7px;
}
.container-01 .switch input[type="checkbox"]:checked:before {
  background-color: #55f696;
  box-shadow: -4.33993px -4.33993px 13.0198px rgba(83, 83, 83, 0.4), 6.50989px 6.50989px 13.0198px #0F1113;
  transform: translateX(38px);
}
.container-01 .switch input[type="checkbox"]:after {
  width: 8px;
  height: 8px;
  background-color: #7a7a7a;
  border-radius: 50%;
  right: -25px;
}
.container-01 .switch input[type="checkbox"]:checked:after {
  background-color: #55f696;
}
.container-01 .card {
  position: relative;
  width: 320px;
  height: 440px;
  border-radius: 15px;
  margin: 30px;
  transition: all 0.5s ease-in-out;
  box-shadow: inset 5px 5px 10px rgba(0, 0, 0, 0.1),
    inset -5px -5px 20px rgba(255, 255, 255, 0.1),
    5px 5px 10px rgba(0, 0, 0, 0.05), -5px -5px 20px rgba(255, 255, 255, 0.05);
}
.container-01 .card .box {
  position: absolute;
  top: 20px;
  left: 20px;
  right: 20px;
  bottom: 20px;
  background: #ebf5fc;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
  border-radius: 19px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.5s ease-in-out;
}
.container-01 .card:hover {
    box-shadow: -5px -5px 5px rgba(255, 255, 255, 0.65),
    5px 5px 5px rgba(0, 0, 0, 0.12); 
}
.container-01 .card:hover .box {
  box-shadow: -4.33993px -4.33993px 13.0198px #FFFFFF, 6.50989px 6.50989px 13.0198px rgba(0, 0, 0, 0.1);
}
.container-01 .card .box .content {
  padding: 20px;
  text-align: center;
}
.container-01 .card .box .content h3 {
  position: absolute;
  top: -10px;
  right: 30px;
  font-size: 8rem;
  color: rgba(0, 0, 0, 0.05);
  transition: 0.5s ease;
  pointer-events: none;
}
.container-01 .card:hover .box .content h3 {
  color: rgba(0, 0, 0, 0.05);
}
.container-01 .card .box .content h4 {
  font-size: 1.8em;
  color: #777;
  z-index: 1;
  transition: 0.5s ease;
}
.container-01 .card:hover .box .content h4 {
  color: #000;
}
.container-01 .card .box .content p {
  font-size: 1em;
  font-weight: 300;
  color: #777;
  z-index: 1;
  transition: 0.5s ease;
}
.container-01 .card:hover .box .content p {
  color: #000;
}
.container-01 .card .box .content a {
  position: relative;
  display: inline-block;
  padding: 8px 20px;
  background: #03a9f4;
  margin-top: 15px;
  border-radius: 20px;
  color: #fff;
  text-decoration: none;
  font-weight: 400;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  transition: 0.5s ease;
}
.container-01 .card:hover .box .content a {
  background: #ff56af;
}
/*Night Modee*/
.container-01.night {
  background-color: #2a2b30;
}
.container-01.night h2 {
    box-shadow: -5px -5px 5px  rgba(83, 83, 83, 0.4),
    5px 5px 5px #0F1113;   
}
.container-01.night .switch {
  box-shadow: -5px -5px 5px rgba(255, 255, 255, 0.05),
    5px 5px 5px rgba(0, 0, 0, 0.02);
}
.container-01.night .switch input[type="checkbox"] {
  border: 2px solid #1e1f23;
  box-shadow: inset 5px 5px 5px rgba(0, 0, 0, 0.2),
    inset -5px -5px 15px rgba(255, 255, 255, 0.1),
    5px 5px 15px rgba(0, 0, 0, 0.3), -5px -5px 15px rgba(255, 255, 255, 0.1);
}
.container-01.night .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
}
.container-01.night .card {
  box-shadow: inset 5px 5px 5px rgba(0, 0, 0, 0.2),
    inset -5px -5px 15px rgba(255, 255, 255, 0.1),
    5px 5px 15px rgba(0, 0, 0, 0.3), -5px -5px 15px rgba(255, 255, 255, 0.1);
    transition: all 0.5s ease-in-out;
}

.container-01.night .card .box {
  background: #2a2b30;
  border: 1px solid #1e1f23;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.5);
  transition: all 0.5s ease-in-out;
}
.container-01.night .card:hover {
    box-shadow: -5px -5px 5px  rgba(83, 83, 83, 0.4),
    5px 5px 5px #0F1113;   
}
.container-01.night .card:hover .box {
    border: 0;
    box-shadow: -4.33993px -4.33993px 13.0198px rgba(83, 83, 83, 0.4), 6.50989px 6.50989px 13.0198px #0F1113;
}
.container-01.night .card:hover .box .content h3 {
  color: rgba(255, 255, 255, 0.05);
}
.container-01 p {
  z-index: 12;
  margin: 20px auto 10px;
  position: relative;
  color: #32a3b1;
}
.container-01 p span {
  font-weight: 700;
}

.container-02 {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 50%;
  height: 100vh;
  padding: 40px 0;
  margin: 20px 0;
  background: #1c1c25;
}
.container-02:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#f00, #f0f);
  clip-path: circle(20% at 10% 25%);
}
.container-02:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#2196f3, #e91e63);
  clip-path: circle(30% at 88% 77%);
}
.container-02 h2 {
  position: relative;
  width: 50%;
  text-align: center;
  z-index: 11;
  color: #fff;
  font-weight: 700;
  text-align: center;
  padding: 5px 8px;
  margin: 20px 0;
  font-size: 25px;
  border-radius: 15px;
  /* border-top: 1px solid rgba(255, 255, 255, 0.5);
  border-left: 1px solid rgba(255, 255, 255, 0.5); */
  backdrop-filter: blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.5);
  background: rgba(255, 255, 255, 0.05);
}

.container-02 .switch {
  position: relative;
  width: 120px;
  height: 60px;
  margin: 20px 0;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(5px);
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  transition: 0.5s ease;
}
.container-02 .switch input[type="checkbox"] {
  position: absolute;
  left: 5px;
  -webkit-appearance: none;
  width: 80px;
  height: 34px;
  border-radius: 40px;
  margin-bottom: 2px;
  outline: none;
  cursor: pointer;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  transition: 0.5s ease;
}
.container-02 .switch input[type="checkbox"]:before,
.container-02 .switch input[type="checkbox"]:after {
  content: "";
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  transition: 0.5s ease;
}
.container-02 .switch input[type="checkbox"]:before {
  width: 24px;
  height: 24px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  background-color: #7a7a7a;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  border-radius: 50%;
  left: 7px;
}
.container-02 .switch input[type="checkbox"]:checked:before {
  background-color: rgba(55, 222, 105, 0.65);
  transform: translateX(38px);
}
.container-02 .switch input[type="checkbox"]:after {
  width: 8px;
  height: 8px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  background: rgba(255, 255, 255, 0.5);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  border-radius: 50%;
  right: -25px;
}
.container-02 .switch input[type="checkbox"]:checked:after {
  background-color: rgba(55, 222, 105, 0.65);
}
.container-02 .card {
  position: relative;
  width: 320px;
  height: 440px;
  margin: 30px;
  border-radius: 15px;
  z-index: 1;
  overflow: hidden;
  backdrop-filter: blur(5px);
}
.container-02 .card .face {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 40px 30px;
  border-radius: 15px;
  background: rgba(255, 255, 255, 0.05);
  transform-style: preserve-3d;
  transition: 0.5s ease;
  backdrop-filter: blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.5);
  box-shadow: 0 15px 15px rgba(0, 0, 0, 0.5);
}
.container-02 .card .face.front {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-top: 2px solid rgba(255, 255, 255, 0.5);
  border-left: 2px solid rgba(255, 255, 255, 0.5);
  box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
}
.container-02 .card .face.front h3 {
  position: absolute;
  top: 5px;
  right: 15px;
  font-size: 8em;
  color: rgba(255, 255, 255, 0.05);
  pointer-events: none;
}
.container-02 .card .face.front h4 {
  font-size: 1.8em;
  color: rgba(255, 255, 255, 0.65);
}
.container-02 .card:hover .face.front {
  transform: rotateY(180deg);
  opacity: 0.2;
}
.container-02 .card .face.back {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transform: rotateY(180deg);
}
.container-02 .card:hover .face.back {
  transform: rotateY(360deg);
}
.container-02 .card .face.back p {
  font-size: 1em;
  color: #fff;
  font-weight: 300;
  transition: 0.5s ease;
  opacity: 0.05;
}
.container-02 .card .face.back a {
  position: relative;
  display: inline-block;
  padding: 8px 20px;
  margin-top: 20px;
  background: #fff;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  color: #000;
  border-radius: 20px;
  text-decoration: none;
  font-weight: 500;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  transition: 0.5s ease;
  opacity: 0.05;
}
.container-02 .card:hover .face.back p,
.container-02 .card:hover .face.back a {
  opacity: 1;
}
.container-02.night2 {
  background: linear-gradient(
      217deg,
      rgb(233, 189, 254),
      rgb(247, 251, 255) 70.71%
    ),
    linear-gradient(127deg, rgb(252, 240, 199), rgb(247, 251, 255) 70.71%),
    linear-gradient(336deg, rgba(0, 0, 255, 0.8), rgba(0, 0, 255, 0) 70.71%);
}
.container-02.night2:before,
.container-02.night2:after {
  opacity: 0.5;
}
.container-02.night2 .card .face.front h3 {
  color: rgba(0, 0, 0, 0.05);
}
.container-02.night2 h2,
.container-02.night2 .card .face.front h4,
.container-02.night2 .card .face.back p,
.container-02.night2>p {
  color: rgba(0, 0, 0, 0.65);
}
.container-02 p {
  z-index: 12;
  margin: 20px auto 10px;
  position: relative;
  color: #fff;
}
.container-02 p span {
  font-weight: 700;
}
